
QGIS Application - Bug report #9502

Reshape Tool quits working

2014-02-06 06:50 AM - Samuel Grant

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 18093

Description

When editing a polygon, the Reshape tool works for a while, about 20 edits, the stops working on that shape. It will work on another

shape, but stops after a few edits.

History

#1 - 2014-02-06 07:37 AM - Paolo Cavallini

- Subject changed from Rehape Tool quits working to Reshape Tool quits working

#2 - 2014-02-06 09:03 AM - Samuel Grant

Also in QGIS version 2.1.0....

#3 - 2014-02-07 05:08 AM - Giovanni Manghi

- Affected QGIS version changed from 2.0.1 to master

- Target version set to Version 2.2

- Priority changed from High to Normal

- Category set to Digitising

#4 - 2014-02-15 05:26 AM - Giovanni Manghi

I ca replicate the issue (even with mush less edits with the reshape tool). What is worst is that in some case the tool stops to work at all in that specific

feature, even of reloading the vector (the geometry and the vector is error free).

#5 - 2014-06-28 07:36 AM - Jürgen Fischer

- Target version changed from Version 2.2 to Future Release - Lower Priority

#6 - 2015-10-16 02:36 AM - Nyall Dawson

- Status changed from Open to Feedback

I haven't been able to reproduce this since 2.10 - please confirm whether this issue is fixed for you

#7 - 2015-11-10 03:49 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

2025-04-27 1/2



Closing for lack of feedback. Reopen if necessary.
